OAuth2::AccessToken::Mac - Crystal 1.20.3

# class OAuth2::AccessToken::Mac

- OAuth2::AccessToken::Mac
- OAuth2::AccessToken
- Reference
- Object

##
Defined in:

oauth2/access_token/mac.cr

##
Constructors

- .new(access_token : String, expires_in, mac_algorithm : String, mac_key : String, refresh_token : String | Nil = nil, scope : String | Nil = nil, issued_at : Int64 = Time.utc.to_unix, extra : Hash(String, String) | Nil = nil)
- .new(pull : JSON::PullParser) : self

##
Class Method Summary

- .signature(ts, nonce : String, method : String, uri : String, host : String, port : Int32 | String, ext : String, mac_algorithm : String, mac_key : String) : String

##
Instance Method Summary

- #==(other : self)

  Returns `true` if this reference is the same as other.

- #authenticate(request : HTTP::Request, tls)
- #hash(hasher)

  See `Object#hash(hasher)`

- #issued_at : Int64
- #issued_at=(issued_at : Int64)
- #mac_algorithm : String
- #mac_algorithm=(mac_algorithm : String)
- #mac_key : String
- #mac_key=(mac_key : String)
- #to_json(json : JSON::Builder) : Nil
- #token_type : String

### Instance methods inherited from class `OAuth2::AccessToken`

access_token : String access_token, access_token=(access_token : String) access_token=, authenticate(request : HTTP::Request, tls)
authenticate(client : HTTP::Client) authenticate, expires_in : Int64 | Nil expires_in, expires_in=(expires_in : Int64 | Nil) expires_in=, extra : Hash(String, String) | Nil extra, extra=(extra : Hash(String, String) | Nil) extra=, refresh_token : String | Nil refresh_token, refresh_token=(refresh_token : String | Nil) refresh_token=, scope : String | Nil scope, scope=(scope : String | Nil) scope=

### Constructor methods inherited from class `OAuth2::AccessToken`

new(access_token : String, expires_in : Int | Nil, refresh_token : String | Nil = nil, scope : String | Nil = nil, extra : Nil | Hash(String, String) = nil)
new(pull : JSON::PullParser) : self new

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new, unsafe_construct(address : Pointer, *args, **opts) : self unsafe_construct

### Class methods inherited from class `Reference`

pre_initialize(address : Pointer) pre_initialize

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Constructor Detail

def self.new(access_token : String, expires_in, mac_algorithm : String, mac_key : String, refresh_token : String | Nil = nil, scope : String | Nil = nil, issued_at : Int64 = Time.utc.to_unix, extra : Hash(String, String) | Nil = nil) #
def self.new(pull : JSON::PullParser) : self #

##
Class Method Detail

def self.signature(ts, nonce : String, method : String, uri : String, host : String, port : Int32 | String, ext : String, mac_algorithm : String, mac_key : String) : String #

##
Instance Method Detail

def ==(other : self) #
Description copied from class Reference

Returns `true` if this reference is the same as other. Invokes `same?`.

def authenticate(request : HTTP::Request, tls) #
def hash(hasher) #
Description copied from class Reference

See `Object#hash(hasher)`

def issued_at : Int64 #
def issued_at=(issued_at : Int64) #
def mac_algorithm : String #
def mac_algorithm=(mac_algorithm : String) #
def mac_key : String #
def mac_key=(mac_key : String) #
def to_json(json : JSON::Builder) : Nil #
def token_type : String #